commit:     1b65696ee44144313bbe2ee49a5dcad78b5d280b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 26 02:07:48 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jul 26 02:07:49 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b65696e

app-portage/eix: add 0.36.4

The only changes are for meson which we're not using,
but it's easier to not have a p.g.o warning and such.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-portage/eix/Manifest          |   1 +
 app-portage/eix/eix-0.36.4.ebuild | 104 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 105 insertions(+)

diff --git a/app-portage/eix/Manifest b/app-portage/eix/Manifest
index 7454bfc77fd8..c10ab7ff4bff 100644
--- a/app-portage/eix/Manifest
+++ b/app-portage/eix/Manifest
@@ -1,2 +1,3 @@
 DIST eix-0.36.2.tar.xz 639632 BLAKE2B 
962b998f91233e799421c1ea3325d5b9c727bdfdda6a9567ba4a9ea0f4f36798f5ba32ef2ba43043668aaf0829d9c2f50158f97d5ebfca40a58da612141c47a8
 SHA512 
813a19f9561bfd65a401a4dcf9884e39eedf5f971be1800411ba977d84af0c5b5498cab50f69566bff75cf254f1d4971acc5dab72af34162f8b5dd29cd6ffaea
 DIST eix-0.36.3.tar.xz 639864 BLAKE2B 
f74b7c4087e5145f3a2e6ee8b0034e5104de8ef81ec810f2d9fc75d161181f71396f27dc635466685650182473fdfb542f4cec6509ddee0a3bb0d7d620b7d42d
 SHA512 
9fd7c64df6acf27e9ed07ee77ee7f209fb0fb2db9a3dbbc78c1f5b25e6d4786dffeea64bf8ddee3bfe4fe35445c8173103428e184c966964b2973d5737152679
+DIST eix-0.36.4.tar.xz 640776 BLAKE2B 
32486b6ce5e5d2a32bb6fc8581bbc37da6cef9cac0cecbd3d0cc6db8bf5b6bcb3c0a31e28df462edcf06056d279a88e64b4c526b430ce40a0614c0367710243c
 SHA512 
5b716cbd688bb5d8efadc7d47de9fb3238776ff10b11165abe02623421be82d17f2d51596d3f263219461188aa08974af1b559b4e43c31d9ee0682f21febb049

diff --git a/app-portage/eix/eix-0.36.4.ebuild 
b/app-portage/eix/eix-0.36.4.ebuild
new file mode 100644
index 000000000000..635ccd707e0a
--- /dev/null
+++ b/app-portage/eix/eix-0.36.4.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools bash-completion-r1 tmpfiles
+
+DESCRIPTION="Search and query ebuilds"
+HOMEPAGE="https://github.com/vaeth/eix/";
+SRC_URI="https://github.com/vaeth/eix/releases/download/v${PV}/${P}.tar.xz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="debug doc nls sqlite"
+
+DEPEND="
+       nls? ( virtual/libintl )
+       sqlite? ( >=dev-db/sqlite-3:= )"
+RDEPEND="${DEPEND}
+       >=app-shells/push-2.0-r1
+       >=app-shells/quoter-3.0_p2-r1"
+BDEPEND="
+       app-arch/xz-utils
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )"
+
+pkg_setup() {
+       # remove stale cache file to prevent collisions
+       local old_cache=${EROOT}/var/cache/${PN}
+       if [[ -f ${old_cache} ]]; then
+               rm "${old_cache}" || die
+       fi
+}
+
+src_prepare() {
+       default
+       sed -i -e "s:/:${EPREFIX}/:" tmpfiles.d/eix.conf || die
+
+       sed -e "/eixf_source=/s:push.sh:cat 
\"${EPREFIX}/usr/share/push/push.sh\":" \
+               -e "/eixf_source=/s:quoter_pipe.sh:cat 
\"${EPREFIX}/usr/share/quoter/quoter_pipe.sh\":" \
+               -i src/eix-functions.sh.in || die
+       sed -e "s:'\$(bindir)/eix-functions.sh':cat 
\\\\\"${EPREFIX}/usr/share/eix/eix-functions\\\\\":" \
+               -i src/Makefile.am || die
+
+       eautoreconf
+}
+
+src_configure() {
+       local myconf=(
+               $(use_enable debug paranoic-asserts)
+               $(use_enable nls)
+               $(use_with doc extra-doc)
+               $(use_with sqlite)
+               --without-protobuf
+
+               # default configuration
+               $(use_with prefix always-accept-keywords)
+               --with-dep-default
+               --with-required-use-default
+
+               # paths
+               --with-portage-rootpath="${ROOTPATH}"
+               --with-eprefix-default="${EPREFIX}"
+
+               # build a single executable with symlinks
+               --disable-separate-binaries
+               --disable-separate-tools
+
+               # used purely to control/disrespect *FLAGS
+               --disable-debugging
+               --disable-new_dialect
+               --disable-optimization
+               --disable-strong-optimization
+               --disable-security
+               --disable-nopie-security
+               --disable-strong-security
+       )
+
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       dobashcomp bash/eix
+       dotmpfiles tmpfiles.d/eix.conf
+
+       rm -r "${ED}"/usr/bin/eix-functions.sh || die
+}
+
+pkg_postinst() {
+       tmpfiles_process eix.conf
+
+       local obs=${EROOT}/var/cache/eix.previous
+       if [[ -f ${obs} ]]; then
+               ewarn "Found obsolete ${obs}, please remove it"
+       fi
+}
+
+pkg_postrm() {
+       if [[ ! -n ${REPLACED_BY_VERSION} ]]; then
+               rm -rf "${EROOT}/var/cache/${PN}" || die
+       fi
+}

Reply via email to